HaXml-1.25.4: Utilities for manipulating XML documents

Safe Haskell | Safe
Language | Haskell98

Text.XML.HaXml.Html.Generate

Contents

- HTML construction filters
  - Containers
  - Anchors
  - Text style
  - Tables
  - Breaks, lines
  - Attributes
- A simple HTML pretty-printer

Description

These are just some common abbreviations for generating HTML content within the XML transformation framework defined by Text.Xml.HaXml.Combinators.

Synopsis

- html :: [CFilter i] -> CFilter i
- hhead :: [CFilter i] -> CFilter i
- htitle :: [CFilter i] -> CFilter i
- hbody :: [CFilter i] -> CFilter i
- h1 :: [CFilter i] -> CFilter i
- h2 :: [CFilter i] -> CFilter i
- h3 :: [CFilter i] -> CFilter i
- h4 :: [CFilter i] -> CFilter i
- hpara :: [CFilter i] -> CFilter i
- hdiv :: [CFilter i] -> CFilter i
- hspan :: [CFilter i] -> CFilter i
- margin :: [CFilter i] -> CFilter i
- anchor :: [(String, CFilter i)] -> [CFilter i] -> CFilter i
- makehref :: CFilter i -> [CFilter i] -> CFilter i
- anchorname :: CFilter i -> [CFilter i] -> CFilter i
- hpre :: [CFilter i] -> CFilter i
- hcentre :: [CFilter i] -> CFilter i
- hem :: [CFilter i] -> CFilter i
- htt :: [CFilter i] -> CFilter i
- hbold :: [CFilter i] -> CFilter i
- parens :: CFilter i -> CFilter i
- bullet :: [CFilter i] -> CFilter i
- htable :: [CFilter i] -> CFilter i
- hrow :: [CFilter i] -> CFilter i
- hcol :: [CFilter i] -> CFilter i
- hbr :: CFilter i
- hhr :: CFilter i
- showattr :: String -> CFilter i
- (!) :: String -> CFilter i
- (?) :: String -> CFilter i
- htmlprint :: [Content i] -> Doc

# HTML construction filters

## Containers

html :: [CFilter i] -> CFilter i #

hhead :: [CFilter i] -> CFilter i #

htitle :: [CFilter i] -> CFilter i #

hbody :: [CFilter i] -> CFilter i #

h1 :: [CFilter i] -> CFilter i #

h2 :: [CFilter i] -> CFilter i #

h3 :: [CFilter i] -> CFilter i #

h4 :: [CFilter i] -> CFilter i #

hpara :: [CFilter i] -> CFilter i #

hdiv :: [CFilter i] -> CFilter i #

hspan :: [CFilter i] -> CFilter i #

margin :: [CFilter i] -> CFilter i #

## Anchors

anchor :: [(String, CFilter i)] -> [CFilter i] -> CFilter i #

makehref :: CFilter i -> [CFilter i] -> CFilter i #

anchorname :: CFilter i -> [CFilter i] -> CFilter i #

## Text style

hpre :: [CFilter i] -> CFilter i #

hcentre :: [CFilter i] -> CFilter i #

hem :: [CFilter i] -> CFilter i #

htt :: [CFilter i] -> CFilter i #

hbold :: [CFilter i] -> CFilter i #

parens :: CFilter i -> CFilter i #

bullet :: [CFilter i] -> CFilter i #

## Tables

htable :: [CFilter i] -> CFilter i #

hrow :: [CFilter i] -> CFilter i #

hcol :: [CFilter i] -> CFilter i #

## Breaks, lines

hbr :: CFilter i #

hhr :: CFilter i #

## Attributes

showattr :: String -> CFilter i #

(!) :: String -> CFilter i #

(?) :: String -> CFilter i #

# A simple HTML pretty-printer

htmlprint :: [Content i] -> Doc #